@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/* ヘッダーメニュー すりがらす風に*/
.l-fixHeader {
	background-color: rgba(255, 255, 255, 0); /* 背景色・透過 */
	-webkit-backdrop-filter: blur(2px); /* ぼかし具合 */
	backdrop-filter: blur(2px); /* ぼかし具合 */
}
.l-header {
	background-color: rgba(255, 255, 255, 0); /* 背景色・透過 */
	-webkit-backdrop-filter: blur(2px); /* ぼかし具合 */
	backdrop-filter: blur(2px); /* ぼかし具合 */
}



/*  評価星の色を変える */
.c-reviewStars i {
    color: #544C40;
}


/*  評価星の色を変える */
.wide0{
	width:fit-content;
}

/*  キャプションボックスのテキスト色を変える */
.cap_box_ttl {
 color:#544C40;
}
/*  カテゴリリストのテキスト色を変える */
.c-categoryList__link {
 color:#544C40;
}

/*  カテゴリタグのテキスト色を変える */
.c-postThumb__cat {
 color:#544C40;
}
/**ハンバーガーメニュー**/
/* メニューアイコン（デフォルト時） */
.-menuBtn .c-iconBtn__icon {
	width: 24px;
	height: 2px;
	background-color: #333;
	display: grid;
	place-items: center;
	transition: transform .3s;
	
	&::before,
	&::after {
		grid-area: 1 / 1;
		content: '';
		display: block;
		inset: 0;
		width: 24px;
		height: 2px;
		background-color: #333;
		transition: transform .3s;
	}
	
	&::before {
		transform: translateY(-8px);
	}
	
	&::after {
		transform: translateY(8px);
	}
}

/* メニューアイコン（オープン時） */
[data-spmenu=opened] {
	
	.-menuBtn .c-iconBtn__icon::before {
			transform: rotate(45deg);
	}
	
	.-menuBtn .c-iconBtn__icon {
		background-color: transparent;
	}
	
	.-menuBtn .c-iconBtn__icon::after {
		transform: rotate(-45deg);
	}
}

/* ボタンラベル */
.l-header__menuBtn .c-iconBtn::after,
.p-spMenu__closeBtn .c-iconBtn::after {
	font-size: 10px;
	line-height: 10px;
	transform: translateY(12px);
}

/* ボタンラベル（開くボタン） */
.l-header__menuBtn .c-iconBtn::after {
/* 	content: 'MENU'; */
}

/* ボタンラベル（閉じるボタン） */
.p-spMenu__closeBtn .c-iconBtn::after {
/* 	content: 'CLOSE'; */
}

/* メニュー */
.p-spMenu__inner {
  width: 100%;
  height: 100%;
  transform: translateX(0)!important;
  opacity: 0;
  transition: opacity .5s ease-out!important;
}

/* メニュー（オープン時） */
[data-spmenu="opened"] .p-spMenu__inner {
  opacity: 1;
}

/* 背景色をぼかす */
.p-spMenu__inner::before {
	background: rgba(255, 255, 255, .8);
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
}

/* メニューをフェードイン */
.p-spMenu__body {
	opacity: 0;
	transform: translateY(20px);
}

[data-spmenu="opened"] .p-spMenu__body {
	opacity: 1;
	transform: translateY(0);
	transition: opacity 1s ease-in, transform .7s ease-out;
}

/* 既存のメニューを削除 */
.c-widget__title.-spmenu,
.p-spMenu__nav {
  display:none;
}

/* リンクリストメニュー余白 */
.p-spMenu__body .swell-block-linkList {
	gap: 2em;
}

/* リンクリストメニュー中央寄せ */
.p-spMenu__body .swell-block-linkList__text {
	margin-inline: auto;
}	
	/* 投稿一覧(リスト)タイトル行数制限 */
.-type-list .p-postList__title{
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;/* 行数制限 */
}

/*投稿ページのタイトルカスタマイズ*/
.c-postTitle__ttl{
font-size:1.5rem;
}

@media screen and (max-width:767px) {
	/*投稿ページのタイトルカスタマイズ*/
	.c-postTitle__ttl{
		font-size:1rem;
	}
	
}
@media screen and (min-width:768px){
	/*投稿ページのタイトルカスタマイズ*/
	.c-postTitle__ttl{
		font-size:1.3rem;
	}
}

/* トップページのカテゴリ一覧から特定のカテゴリを除外*/
li.cat-item.cat-item-2,
li.cat-item.cat-item-3,
li.cat-item.cat-item-4,
li.cat-item.cat-item-61
 {
    display: none;
}

/*コンタクトフォームデザイン変更*/
.wpcf7 input[type="text"],
.wpcf7 textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 16px;
  margin-bottom: 15px;
}

.wpcf7 input[type="submit"] {
  background-color: #0073aa;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  border-radius: 4px;
  cursor: pointer;
}